# Delete statement by ID

Deletes a statement by its statement ID.

Endpoint: POST /deletestatement
Version: 1.5
Security: 

## Path parameters:

  - `version` (string, required)
    The version of the API.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "1.5"

## Request fields (multipart/form-data):

  - `appid` (integer, required)
    Insights-assigned application identifier

  - `statementId` (integer, required)
    Insights-assigned statement identifier

## Response 200 fields (application/json):

  - `applicationId` (integer)
    Insights-assigned application identifier.
    Example: "585239"

  - `deletedStatementIds` (array)
    The deleted Insights-assigned statement identifier.
    Example: "[656147]"

## Response 400 fields (application/json):

  - `error` (string)
    Example: "No file found to process"

## Response 401 fields (application/json):

  - `error` (string)
    Example: "Bad token"

## Response 500 fields (application/json):

  - `error` (string)
    Example: "Encountered an unknown error. It has been reported. Please contact support@moneythumb.com for any questions."

  - `requestId` (string)
    Unique identifier for the request, useful for tracing.

## Response 503 fields (application/json):

  - `error` (string)
    Example: "Service unavailable"


